# Deep network: Shape Class Reference

Shape Class Reference

`#include <shape.hpp>`

## Public Member Functions

| Shape (size_t n)
| Shape (size_t n1, size_t n2)
| Shape (size_t n1, size_t n2, size_t n3)
size_t | size () const

## Constructor & Destructor Documentation

## Shape() [1/3]

Shape::Shape | ( | size_t | n | ) |

inline

## Shape() [2/3]

Shape::Shape | ( | size_t | n1,
|  | size_t | n2
| ) |  |

inline

## Shape() [3/3]

Shape::Shape | ( | size_t | n1,
|  | size_t | n2,
|  | size_t | n3
| ) |  |

inline

## Member Function Documentation

## size()

size_t Shape::size | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- src/shape.hpp